Get webhook settings
Bearer ds_live_ / ds_test_GET
/api/v1/merchant/webhookReturns your current webhook settings, or {"webhook": null} if none is set. The full secret is never returned here.
Language
curl -X GET "https://finaldatasub.com/api/v1/merchant/webhook" \
-H "Authorization: Bearer ds_live_YOUR_KEY" \
-H "Accept: application/json"Authentication
Send your secret API key in the header. Authorization: Token … and X-API-Key: … are also accepted.
| Header | Value | Required |
|---|---|---|
| Authorization | Bearer ds_live_YOUR_KEY | Yes |
| Accept | application/json | Recommended |
Authentication failures (401 UNAUTHORIZED, 403 IP_NOT_ALLOWED / ACCOUNT_SUSPENDED / API_ACCESS_NOT_APPROVED, 429 RATE_LIMITED) are listed in Authentication.
Parameters
This endpoint takes no parameters.
Responses
200 OK — OK · 200 OK — Not set
{
"webhook": {
"url": "https://example.com/webhooks/vtu",
"is_active": true,
"secret_hint": "whsec_…9f3a",
"signature_header": "X-Datason-Signature",
"last_success_at": "2026-10-05T10:15:25+01:00",
"last_failure_at": null
}
}